import React from 'react';
import { FallbackProps } from 'react-error-boundary';
import { JsObject } from '@agentlab/sparql-jsld-client';
import { JSONSchema7 } from 'json-schema';
import { Actions } from './actions';
import { TMstViewDescr, TMstViewDescrElement, TMstViewKind, TMstViewKindElement } from './models/MstViewDescr';
export interface ControlComponent {
    data: any;
    schema: JSONSchema7;
    editing: boolean;
    handleChange: Function;
    id: string;
    enabled: boolean;
    visible: boolean;
    description: string;
    required: boolean;
    uiOptions?: {
        [key: string]: any;
    };
    label: any;
    key: string;
    errors: string[];
    isScrolling?: boolean;
    width?: number;
    form?: string;
    validateObj: any;
    onValidation: any;
    formData?: any;
}
export interface FormsInitStateProps {
    viewDescrCollId: string;
    viewDescrId: string;
}
export interface FormsDispatchProps {
    viewKind: TMstViewKind;
    viewKindElement: TMstViewKindElement;
    viewDescr: TMstViewDescr;
    enabled?: boolean;
    form?: string;
}
export interface RenderProps extends FormsDispatchProps {
    viewDescrElement?: TMstViewDescrElement;
    actions?: Actions;
    id: string;
    schema: JSONSchema7;
    readOnly?: boolean;
}
export interface RenderCellProps extends RenderProps {
    data: any;
    onMeasureChange: any;
    uri: string;
    rowData: any;
    CKey: string;
}
export interface DispatchCellProps extends RenderProps {
    data: any;
    [key: string]: any;
}
export declare function mstJsonLdIds(o: JsObject): JsObject | undefined;
export declare function createViewDescrElementIri(viewKindElementIri: string): string;
export declare function compareByIri(iri1: string | any, iri2: string | any): boolean;
export declare const processViewKindOverride: (props: {
    viewKindElement: TMstViewKindElement;
    viewDescr: TMstViewDescr;
}, store: any) => [string, string, string, string, TMstViewKindElement, TMstViewDescrElement | undefined];
export declare const FormsDispatch: React.FunctionComponent<FormsDispatchProps>;
export declare function ErrorFallback({ error, resetErrorBoundary }: FallbackProps): JSX.Element;
export declare const Form: React.FunctionComponent<FormsInitStateProps>;
//# sourceMappingURL=Form.d.ts.map