/********************************************************************************
 * Copyright (c) 2021 Agentlab and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the GNU General Public License v. 3.0 which is available at
 * https://www.gnu.org/licenses/gpl-3.0.html.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 ********************************************************************************/
import React, { PropsWithChildren } from 'react';
import { CellRendererRegistryEntry, RendererRegistryEntry } from './renderers';
import { Actions } from './actions';
import { TFormMstRepository } from './models/FormMstRepository';
export interface MstContextProps {
    store: TFormMstRepository;
    renderers: RendererRegistryEntry[];
    cells: CellRendererRegistryEntry[];
    actions: Actions;
}
export declare const MstContext: React.Context<MstContextProps>;
export declare const MstContextProvider: ({ store, renderers, cells, children, actions, }: PropsWithChildren<{
    store: TFormMstRepository;
    renderers: RendererRegistryEntry[];
    cells?: CellRendererRegistryEntry[];
    actions?: Actions;
}>) => JSX.Element;
//# sourceMappingURL=MstContext.d.ts.map