/********************************************************************************
 * Copyright (c) 2024 Agentlab and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the GNU General Public License v. 3.0 which is available at
 * https://www.gnu.org/licenses/gpl-3.0.html.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 ********************************************************************************/
import { AxiosResponse } from 'axios';
import { JsObject, JsStrObj, Results, SparqlClient } from '@agentlab/sparql-jsld-client';
export declare class SparqlClientImplDummy implements SparqlClient {
    serverUrl: string;
    repId: string;
    repositoryUrl: string;
    statementsUrl: string;
    /**
     * Test Mockup state props
     */
    nsReturn: JsStrObj;
    uploadStatementsParams: {};
    sparqlSelectParams: {
        query: string;
        queryParams: JsObject;
    };
    sparqlSelectReturn: Results;
    sparqlConstructParams: {
        query: string;
        queryParams: JsObject;
    };
    sparqlConstructReturn: JsObject[];
    sparqlUpdateParams: {
        query: string;
        queryParams: JsObject;
    };
    sparqlUpdateReturn: AxiosResponse<any>;
    clearGraphParams: {};
    clearGraphReturn: AxiosResponse<any>;
    deleteRepositoryParams: {};
    createRepositoryAndSetCurrentParams: {};
    createRepositoryParams: {};
    setServerUrl(url: string): void;
    setRepositoryId(repId: string): void;
    createRepositoryUrl(repId: string): string;
    createStatementsUrl(repId: string): string;
    regenerateUrls(): void;
    loadNs(): Promise<JsStrObj>;
    uploadStatements(statements: string, baseURI?: string, graph?: string): Promise<void>;
    sparqlSelect(query: string, queryParams?: JsObject): Promise<Results>;
    sparqlConstruct(query: string, queryParams?: JsObject): Promise<JsObject[]>;
    sparqlUpdate(query: string, queryParams?: JsObject): Promise<AxiosResponse<any>>;
    /**
     * Удаляет все триплы в графе с заданным graph
     * @param graph
     */
    clearGraph(graph?: string): Promise<AxiosResponse<any>>;
    deleteRepository(repId: string): Promise<void>;
    createRepositoryAndSetCurrent(repParam?: JsObject, repType?: string): Promise<void>;
    createRepository(repParam?: JsObject, repType?: string): Promise<void>;
}
//# sourceMappingURL=SparqlClientImplDummy.d.ts.map