/********************************************************************************
 * Copyright (c) 2020 Agentlab and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the GNU General Public License v. 3.0 which is available at
 * https://www.gnu.org/licenses/gpl-3.0.html.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 ********************************************************************************/
import { FunctionComponent } from 'react';
import { JSONSchema7LDPropertyDefinition, JsObject } from '@agentlab/sparql-jsld-client';
import { FilterType, Relation } from './type';
export declare const genFormattedTypeName: (propName: string, type?: string, format?: string) => string;
interface TypeOfFilter {
    type: string;
    isArray: boolean;
}
export declare const genFormattedTypeOfFilter: (propName: string, property: JSONSchema7LDPropertyDefinition) => TypeOfFilter;
export declare const getTypeOfRelation: (currentRelations: Relation[], nameOfSelectRelation: string) => string | undefined;
interface FilterProp {
    filterData: FilterType;
    setFilter: (filter: FilterType) => void;
    prevFilterData?: FilterType;
    propName: string;
    property: JSONSchema7LDPropertyDefinition;
    context: JsObject;
    isRequired: boolean;
    modalIsMount?: boolean;
}
export declare const Filter: FunctionComponent<FilterProp>;
export {};
//# sourceMappingURL=Filter.d.ts.map