/********************************************************************************
 * Copyright (c) 2020 Agentlab and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the GNU General Public License v. 3.0 which is available at
 * https://www.gnu.org/licenses/gpl-3.0.html.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 ********************************************************************************/
import { RankedTester } from './testers';
export interface RendererRegistryEntry {
    tester: RankedTester;
    renderer: React.FC<any>;
    mstVkeType?: any;
    mstVdeType?: any;
}
export interface CellRendererRegistryEntry {
    tester: RankedTester;
    cell: React.FC<any>;
    mstVkeType?: any;
    mstVdeType?: any;
}
/**
 * Adds an asterisk to the given label string based
 * on the required parameter.
 *
 * @param {string} label the label string
 * @param {boolean} required whether the label belongs to a control which is required
 * @returns {string} the label string
 */
export declare const computeLabel: (label: string, required: boolean, hideRequiredAsterisk: boolean) => string;
export interface Labels {
    default: string;
    [additionalLabels: string]: string;
}
export declare const isPlainLabel: (label: string | Labels) => label is string;
//# sourceMappingURL=renderers.d.ts.map