import React from 'react';
import { LayoutComponent } from '../layouts/LayoutComponent';
import { ControlComponent, RenderProps } from '../Form';
declare type JsObject = {
    [key: string]: any;
};
export type ToControlProps = RenderProps;
export interface SaveDialogProps {
    visible: boolean;
    schemaUri: string;
    onCancel: () => void;
    onOk: () => void;
}
export interface SaveDialog {
    visible: boolean;
    onOk: () => void;
    onCancel: () => void;
}
export interface ButtonComponent {
    editing: boolean;
    setEditing: (state: boolean) => void;
    saveData: (data: any) => void;
    enabled?: boolean;
    visible?: boolean;
}
export declare const withStoreToControlProps: (Component: React.FC<ControlComponent>) => React.FC<ToControlProps>;
export declare const withStoreToFormProps: (Component: React.FC<any>) => React.FC<RenderProps>;
export declare const withStoreToViewClassProps: (Component: React.FC<any>) => React.FC<any>;
export declare const withStoreToViewProps: (Component: React.FC<any>) => React.FC<any>;
export declare const withStoreToModalProps: (Component: React.FC<any>) => React.FC<any>;
export declare const withStoreToButtonProps: (Component: React.FC<any>) => React.FC<any>;
export declare const withStoreToCellProps: (Component: React.FC<any>) => React.FC<any>;
export declare const withStoreToDataControlProps: (Component: React.FC<any>) => React.FC<any>;
export declare const withStoreToSelectControlProps: (Component: React.FC<any>) => React.FC<any>;
export declare const withStoreToMenuProps: (Component: React.FC<any>) => React.FC<any>;
export declare const withStoreToCollapseProps: (Component: React.FC<any>) => React.FC<any>;
export declare const withLayoutProps: (Component: React.FC<LayoutComponent>) => React.FC<RenderProps>;
export declare const withStoreToSaveButtonProps: (Component: React.FC<ButtonComponent>) => React.FC<RenderProps>;
export declare const withStoreToSaveDialogProps: (Component: React.FC<SaveDialog>) => React.FC<SaveDialogProps>;
export declare function treeify(list: JsObject[], idAttr: string | undefined, parentAttr: string | undefined, childrenAttr: string | undefined, cmpFunc: (a: string, b: string) => number): JsObject[];
export declare function strcmp(a: string, b: string): number;
export declare const areEqual: (prevProps: any, nextProps: any) => boolean;
export {};
//# sourceMappingURL=ContextToProps.d.ts.map